import {all} from 'redux-saga/effects';

// sagas
import {seatMapSaga} from './seatMapSaga'
import {notificationSaga} from "./notificationSaga";

function* rootSaga() {
    yield all([
        seatMapSaga(),
        notificationSaga()
    ]);
}

export {rootSaga};