# seat-map-view

> Made with create-react-library

[![NPM](https://img.shields.io/npm/v/seat-map-view.svg)](https://www.npmjs.com/package/seat-map-view) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save seat-map-view
```

## Usage

```jsx
import React, { Component } from 'react'

import MyComponent from 'seat-map-view'
import 'seat-map-view/dist/index.css'

class Example extends Component {
  render() {
    return <MyComponent />
  }
}
```

## Normalize JSON

After manually making changes in JSON file some indexes may be violated, but we need them to be sequential. For not changing all indexes manually simple call normalizer function. Steps to normalize JSON:

- Run `node callNormalizer.js`.
- Enter JSON file name without `.json` extension. Note that JSON file must be placed in `/example/src/assets/map_samples` folder.
```
node callNormalize.js
Please enter JSON file name: example
```
- New JSON file be generated with `_normalized` postfix and placed in `map_samples`:
```
Done!!! 
***
Normalized JSON is placed in: /{dirname}/map_samples/example_normalized.json
***
```

## License

MIT © [](https://github.com/)
