import {
  CANCEL_ALL_AND_RESERVE_SEAT_START,
  CANCEL_SEAT_RESERVATION_FAIL,
  CANCEL_SEAT_RESERVATION_LOADING,
  CANCEL_SEAT_RESERVATION_START,
  CANCEL_SEAT_RESERVATION_SUCCESS,
  GET_STATUSES_FAIL,
  GET_STATUSES_LOADING,
  GET_STATUSES_START,
  GET_STATUSES_SUCCESS,
  RESERVE_SEAT_FAIL,
  RESERVE_SEAT_LOADING,
  RESERVE_SEAT_START,
  RESERVE_SEAT_SUCCESS
} from './actionTypes';

export const getStatusesStart = (payload) => ({type: GET_STATUSES_START, payload});
export const getStatusesLoading = (payload) => ({type: GET_STATUSES_LOADING, payload});
export const getStatusesSuccess = (payload) => ({type: GET_STATUSES_SUCCESS, payload});
export const getStatusesFail = (payload) => ({type: GET_STATUSES_FAIL, payload});

export const reserveSeatStart = (payload) => ({type: RESERVE_SEAT_START, payload});
export const reserveSeatLoading = (payload) => ({type: RESERVE_SEAT_LOADING, payload});
export const reserveSeatSuccess = (payload) => ({type: RESERVE_SEAT_SUCCESS, payload});
export const reserveSeatFail = (payload) => ({type: RESERVE_SEAT_FAIL, payload});

export const cancelSeatReservationStart = (payload) => ({type: CANCEL_SEAT_RESERVATION_START, payload});
export const cancelSeatReservationLoading = (payload) => ({type: CANCEL_SEAT_RESERVATION_LOADING, payload});
export const cancelSeatReservationSuccess = (payload) => ({type: CANCEL_SEAT_RESERVATION_SUCCESS, payload});
export const cancelSeatReservationFail = (payload) => ({type: CANCEL_SEAT_RESERVATION_FAIL, payload});

export const cancelAllAndReserveSeatStart = (payload) => ({type: CANCEL_ALL_AND_RESERVE_SEAT_START, payload});
